Quassel IRC - Bug #1063

n900 hildon style: Ul stylesheet bugs (when custom colors are enabled)
03/12/2011 12:13 AM - sgiessl|

Status: Resolved Start date: 03/12/2011
Priority: Normal Due date:

Assignee: sgiessl % Done: 0%
Category: Quassel2Go Estimated time: 0.00 hour
Target version: 0.8.0

Version: 0.7-pre 0S: Any
Description

Steps to reproduce:
- Settings dialog: Enable custom colors

Effect:
- the maemo application menu has unusally large space between the items
- the chat text input line has wrong colors: black text on black background

History

#1 - 03/12/2011 08:06 PM - sgiessl

This bug is related to stylesheets and is most likely a bug in qt, because exactly the same happens for any gt app which happens to be using
gt-stylesheets.

i.e. the bug happens even here:

gmlviewer -stylesheet /dev/null

http://www.forums.internettablettalk.com/showthread.php?p=878901 claims that this is a bug in Qt 4.7 (since n900 firmware version pr1.3)

#2 - 04/02/2011 04:06 PM - sgiessl

- Status changed from New to Resolved

worked around the bug by avoiding gt stylesheets by default and allowing custom stylesheets to modify the input line background color explicitly.
